Update Customer
Updates a Customer.
Read Only Fields
- id
- date_created
- date_modified
- accepts_marketing
- addresses
- form_fields
Notes
The _authentication object exposes functionality associated with the customer’s ability to log in to the store. All properties of the _authentication object are optional.
When the _authentication object is not supplied with an update request, then the existing customer password remains the same.
Updating Passwords
To manually update a customer password in the same way as the control panel, supply a value for the password field:
Confirming Passwords
An additional optional password_confirmation field can also be sent, providing password confirmation as a service:
Forcing Password Resets
To force a customer to reset their password upon their next login attempt, give the force_reset field a value of true, as shown here:
Authentication
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
Headers
The MIME type of the response body.
Request
Not returned in any responses, but accepts up to two fields allowing you to set the customer’s password. If a password is not supplied, it is generated automatically. For further information about using this object, please see the Customers resource documentation.
The amount of credit the customer has. (Float, Float as String, Integer)
The customer’s IP address when they signed up.
Store-owner notes on the customer.
If applicable, the tax-exempt category of the shopper’s customer account. You can apply a tax-exempt category to multiple customers. This code should match the exemption codes provided by the third-party integration.
Response
Not returned in any responses, but accepts up to two fields allowing you to set the customer’s password. If a password is not supplied, it is generated automatically. For further information about using this object, please see the Customers resource documentation.
The amount of credit the customer has. (Float, Float as String, Integer)
The customer’s IP address when they signed up.
Store-owner notes on the customer.
If applicable, the tax-exempt category of the shopper’s customer account. You can apply a tax-exempt category to multiple customers. This code should match the exemption codes provided by the third-party integration.
Describes whether the customer accepts product review emails or abandon cart emails. Read-Only.
Array of custom fields. This is a Read-Only field; do not set or modify its value in a POST or PUT request.